## Index

### Functions

- dexp
- dnorm
- dpois
- dunif
- prng
- rbeta
- rbinom
- rcauchy
- rchisq
- rexp
- rf
- rfml
- rgamma
- rint
- rlaplace
- rlnorm
- rnbinom
- rnorm
- rpois
- ruf
- runif
- rword
- sample
- visualize

## Functions

### dexp

- dexp(x: number, rate: number): number

- - Defined in node_modules/@types/probability-distributions/index.d.ts:16

  #### Parameters

  - ##### x: number

  - ##### rate: number

  #### Returns number

### dnorm

- dnorm(x: number, mean: number, sd: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:34

  #### Parameters

  - ##### x: number

  - ##### mean: number

  - ##### sd: number

  #### Returns number[]

### dpois

- dpois(x: number, lambda: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:36

  #### Parameters

  - ##### x: number

  - ##### lambda: number

  #### Returns number[]

### dunif

- dunif(x: number, min: number, max: number): number

- - Defined in node_modules/@types/probability-distributions/index.d.ts:38

  #### Parameters

  - ##### x: number

  - ##### min: number

  - ##### max: number

  #### Returns number

### prng

- prng(len: number): number

- - Defined in node_modules/@types/probability-distributions/index.d.ts:6

  #### Parameters

  - ##### len: number

  #### Returns number

### rbeta

- rbeta(n: number, alpha: number, beta: number, loc: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:7

  #### Parameters

  - ##### n: number

  - ##### alpha: number

  - ##### beta: number

  - ##### loc: number

  #### Returns number[]

### rbinom

- rbinom(n: number, size: number, p: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:13

  #### Parameters

  - ##### n: number

  - ##### size: number

  - ##### p: number

  #### Returns number[]

### rcauchy

- rcauchy(n: number, loc: number, scale: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:14

  #### Parameters

  - ##### n: number

  - ##### loc: number

  - ##### scale: number

  #### Returns number[]

### rchisq

- rchisq(n: number, df: number, ncp: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:15

  #### Parameters

  - ##### n: number

  - ##### df: number

  - ##### ncp: number

  #### Returns number[]

### rexp

- rexp(n: number, rate: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:17

  #### Parameters

  - ##### n: number

  - ##### rate: number

  #### Returns number[]

### rf

- rf(n: number, df1: number, df2: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:18

  #### Parameters

  - ##### n: number

  - ##### df1: number

  - ##### df2: number

  #### Returns number[]

### rfml

- rfml(n: number, loc: number, p: number, cap: number, trace: any): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:48

  #### Parameters

  - ##### n: number

  - ##### loc: number

  - ##### p: number

  - ##### cap: number

  - ##### trace: any

  #### Returns number[]

### rgamma

- rgamma(n: number, alpha: number, rate: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:19

  #### Parameters

  - ##### n: number

  - ##### alpha: number

  - ##### rate: number

  #### Returns number[]

### rint

- rint(n: number, min: number, max: number, inclusive: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:20

  #### Parameters

  - ##### n: number

  - ##### min: number

  - ##### max: number

  - ##### inclusive: number

  #### Returns number[]

### rlaplace

- rlaplace(n: number, loc: number, scale: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:26

  #### Parameters

  - ##### n: number

  - ##### loc: number

  - ##### scale: number

  #### Returns number[]

### rlnorm

- rlnorm(n: number, meanlog: number, sdlog: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:27

  #### Parameters

  - ##### n: number

  - ##### meanlog: number

  - ##### sdlog: number

  #### Returns number[]

### rnbinom

- rnbinom(n: number, size: number, p: number, mu: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:28

  #### Parameters

  - ##### n: number

  - ##### size: number

  - ##### p: number

  - ##### mu: number

  #### Returns number[]

### rnorm

- rnorm(n: number, mean: number, sd: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:35

  #### Parameters

  - ##### n: number

  - ##### mean: number

  - ##### sd: number

  #### Returns number[]

### rpois

- rpois(n: number, lambda: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:37

  #### Parameters

  - ##### n: number

  - ##### lambda: number

  #### Returns number[]

### ruf

- ruf(n: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:55

  #### Parameters

  - ##### n: number

  #### Returns number[]

### runif

- runif(n: number, min: number, max: number): number[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:39

  #### Parameters

  - ##### n: number

  - ##### min: number

  - ##### max: number

  #### Returns number[]

### rword

- rword(len: number, alphabet: string): string

- - Defined in node_modules/@types/probability-distributions/index.d.ts:40

  #### Parameters

  - ##### len: number

  - ##### alphabet: string

  #### Returns string

### sample

- sample(collection: any[], n: number, replace: boolean, ratios: number): any[]

- - Defined in node_modules/@types/probability-distributions/index.d.ts:41

  #### Parameters

  - ##### collection: any[]

  - ##### n: number

  - ##### replace: boolean

  - ##### ratios: number

  #### Returns any[]

### visualize

- visualize(data: any[], domID: string, options: any): any

- - Defined in node_modules/@types/probability-distributions/index.d.ts:47

  #### Parameters

  - ##### data: any[]

  - ##### domID: string

  - ##### options: any

  #### Returns any